## List all carriers

### cURL

```
curl --request GET \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/carriers/ \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/carriers/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/carriers/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response

200

```
[
  {
    "id": 123,
    "name": "FastShip",
    "service_level": "Express",
    "tracking_url": "https://track.fastship.com/{tracking_number}"
  }
]
```

### Authorizations

**Authorization**  
string  
header  
required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

**retailer_id**  
integer  
required  
The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.

Example:
`1001`

### Response Details

**Response Items**
- **id**  
  integer  
  The unique identifier for the shipping carrier.  
  Example: `123`
- **name**  
  string  
  The name of the shipping carrier.  
  Example: "FastShip"
- **service_level**  
  string  
  The different types of services offered, such as Standard or Express shipping.  
  Example: "Express"
- **tracking_url**  
  string  
  The base URL used for tracking shipments.  
  Example: "https://track.fastship.com/{tracking_number}"
